CVE-2023-39070

NameCVE-2023-39070
DescriptionAn issue in Cppcheck 2.12 dev allows a local attacker to execute arbitrary code via the removeContradiction parameter in token.cpp:1934.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cppcheck (PTS)buster1.86-1vulnerable
bullseye2.3-1vulnerable
bookworm2.10-2vulnerable
sid, trixie2.13.0-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cppchecksource(unstable)(unfixed)unimportant

Notes

https://sourceforge.net/p/cppcheck/discussion/general/thread/fa43fb8ab1/

Search for package or bug name: Reporting problems